Page MenuHomePhabricator

Enable Pywikibot fasttest with Python 3.8 / Python 3.9
Closed, ResolvedPublic

Description

Pywikibot works with Python 3.5+ but Jenkins CI fasttests should be able to test the Framework with Python 3.8 or 3.9 (or both)

Event Timeline

Xqt created this task.Dec 17 2020, 2:23 PM
Restricted Application added a project: Pywikibot. · View Herald TranscriptDec 17 2020, 2:23 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald Transcript
hashar added a subscriber: hashar.

We don't have Python 3.8 on the CI infrastructure yet.

Xqt added a comment.Dec 17 2020, 3:43 PM

We don't have Python 3.8 on the CI infrastructure yet.

Oh. :'-(

Sorry my comment was a bit short. The idea is to get python 3.8 packaged T24195, I guess we should also migrate from Stretch to Buster and thus get the other python added :] That will happen eventually!

Xqt added a comment.Dec 17 2020, 5:18 PM

I think T241195 was meant. Anyway thank you all for your job for this matter. Probably I Need further help for setting up the Tests after the subtasks has been done.

Change 651283 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: [tox-pywikibot] Migrate to be based off tox-buster

https://gerrit.wikimedia.org/r/651283

Change 651284 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Move all tox-pywikibot jobs to 0.5.0 image

https://gerrit.wikimedia.org/r/651284

Change 651283 merged by jenkins-bot:
[integration/config@master] dockerfiles: [tox-pywikibot] Migrate to be based off tox-buster

https://gerrit.wikimedia.org/r/651283

Mentioned in SAL (#wikimedia-releng) [2020-12-21T23:14:30Z] <James_F> Docker: Building and publishing tox-pywikibot 0.5.0 T270389

Change 651285 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Provide pywikibot-core-tox-fasttest-py38-docker

https://gerrit.wikimedia.org/r/651285

Change 651286 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Zuul: [pywikibot/core] Add fasttest-py38 job

https://gerrit.wikimedia.org/r/651286

Change 651284 merged by jenkins-bot:
[integration/config@master] jjb: Move all tox-pywikibot jobs to 0.5.0 image

https://gerrit.wikimedia.org/r/651284

Change 651285 merged by jenkins-bot:
[integration/config@master] jjb: Provide pywikibot-core-tox-fasttest-py38-docker

https://gerrit.wikimedia.org/r/651285

Change 651286 merged by jenkins-bot:
[integration/config@master] Zuul: [pywikibot/core] Add fasttest-py38 job

https://gerrit.wikimedia.org/r/651286

Now running 3.8; 3.9 isn't available yet, sorry.

Do you still want to run 3.7 as well as 3.5 and 3.8?

Change 651289 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[pywikibot/core@master] build: Add fasttest-py38

https://gerrit.wikimedia.org/r/651289

Change 651289 merged by jenkins-bot:
[pywikibot/core@master] build: Add fasttest-py38

https://gerrit.wikimedia.org/r/651289

Xqt added a comment.EditedDec 22 2020, 4:45 AM

Now running 3.8; 3.9 isn't available yet, sorry.

Do you still want to run 3.7 as well as 3.5 and 3.8?

That would be great because Python 3.7 is the most used platform using Pywikibot if loaded from pypi (T266984). Thank you for this great job.

Jdforrester-WMF closed this task as Resolved.EditedDec 22 2020, 5:10 PM

OK, in that case we're done. Please re-open if things break. When you want 3.9, please open a new task (but note that it's only available in bullseye, which we're not really planning to migrate to for another two years, so it'd need a bunch of work from SRE to backport it).